local splits1Arc = {
	id = "ESOLS_EndlessArchive",
	catName = "Endless Archive - 1 Arc",
	menuName = "1Arc%",
	startTrigger = LIVE_SPLIT_TRIGGER_BEGIN_ENDLESS,

	wr = 0, -- No official speedrun time exists
	wrPlayer = "Nobody",
	
	splits = {
		[1] = {
			name = "Cycle 1 - Stage 1",
			splitTrigger = LIVE_SPLIT_TRIGGER_ENDLESS_STAGE,
			data = {
				arc = 1,
				cycle = 1,
				stage = 2,
			}
		},
		[2] = {
			name = "Cycle 1 - Stage 2",
			splitTrigger = LIVE_SPLIT_TRIGGER_ENDLESS_STAGE,
			data = {
				arc = 1,
				cycle = 1,
				stage = 3,
			}
		},
		[3] = {
			name = "Cycle 1 - Boss",
			splitTrigger = LIVE_SPLIT_TRIGGER_ENDLESS_STAGE,
			data = {
				arc = 1,
				cycle = 2,
				stage = 1,
			}
		},
		[4] = {
			name = "Cycle 2 - Stage 1",
			splitTrigger = LIVE_SPLIT_TRIGGER_ENDLESS_STAGE,
			data = {
				arc = 1,
				cycle = 2,
				stage = 2,
			}
		},
		[5] = {
			name = "Cycle 2 - Stage 2",
			splitTrigger = LIVE_SPLIT_TRIGGER_ENDLESS_STAGE,
			data = {
				arc = 1,
				cycle = 2,
				stage = 3,
			}
		},
		[6] = {
			name = "Cycle 2 - Boss",
			splitTrigger = LIVE_SPLIT_TRIGGER_ENDLESS_STAGE,
			data = {
				arc = 1,
				cycle = 3,
				stage = 1,
			}
		},
		[7] = {
			name = "Cycle 3 - Stage 1",
			splitTrigger = LIVE_SPLIT_TRIGGER_ENDLESS_STAGE,
			data = {
				arc = 1,
				cycle = 3,
				stage = 2,
			}
		},
		[8] = {
			name = "Cycle 3 - Stage 2",
			splitTrigger = LIVE_SPLIT_TRIGGER_ENDLESS_STAGE,
			data = {
				arc = 1,
				cycle = 3,
				stage = 3,
			}
		},
		[9] = {
			name = "Cycle 3 - Boss",
			splitTrigger = LIVE_SPLIT_TRIGGER_ENDLESS_STAGE,
			data = {
				arc = 1,
				cycle = 4,
				stage = 1,
			}
		},
		[10] = {
			name = "Cycle 4 - Stage 1",
			splitTrigger = LIVE_SPLIT_TRIGGER_ENDLESS_STAGE,
			data = {
				arc = 1,
				cycle = 4,
				stage = 2,
			}
		},
		[11] = {
			name = "Cycle 4 - Stage 2",
			splitTrigger = LIVE_SPLIT_TRIGGER_ENDLESS_STAGE,
			data = {
				arc = 1,
				cycle = 4,
				stage = 3,
			}
		},
		[12] = {
			name = "Cycle 4 - Boss",
			splitTrigger = LIVE_SPLIT_TRIGGER_ENDLESS_STAGE,
			data = {
				arc = 1,
				cycle = 5,
				stage = 1,
			}
		},
		[13] = {
			name = "Cycle 5 - Stage 1",
			splitTrigger = LIVE_SPLIT_TRIGGER_ENDLESS_STAGE,
			data = {
				arc = 1,
				cycle = 5,
				stage = 2,
			}
		},
		[14] = {
			name = "Cycle 5 - Stage 2",
			splitTrigger = LIVE_SPLIT_TRIGGER_ENDLESS_STAGE,
			data = {
				arc = 1,
				cycle = 5,
				stage = 3,
			}
		},
		[15] = {
			name = "Tho' at Replicanum",
			splitTrigger = LIVE_SPLIT_TRIGGER_BOSS_DEATH,
		},
	}
}

local splits5Arc = {
	id = "ESOLS_EndlessArchive_5Arc",
	catName = "Endless Archive - 5 Arcs",
	menuName = "5Arc%",
	startTrigger = LIVE_SPLIT_TRIGGER_BEGIN_ENDLESS,

	wr = 0, -- No official speedrun time exists
	wrPlayer = "Nobody",
	
	splits = {
		[1] = {
			name = "Arc 1",
			splitTrigger = LIVE_SPLIT_TRIGGER_ENDLESS_STAGE,
			data = {
				arc = 2,
				cycle = 1,
				stage = 1,
			}
		},
		[2] = {
			name = "Arc 2",
			splitTrigger = LIVE_SPLIT_TRIGGER_ENDLESS_STAGE,
			data = {
				arc = 3,
				cycle = 1,
				stage = 1,
			}
		},
		[3] = {
			name = "Arc 3",
			splitTrigger = LIVE_SPLIT_TRIGGER_ENDLESS_STAGE,
			data = {
				arc = 4,
				cycle = 1,
				stage = 1,
			}
		},
		[4] = {
			name = "Arc 4",
			splitTrigger = LIVE_SPLIT_TRIGGER_ENDLESS_STAGE,
			data = {
				arc = 5,
				cycle = 1,
				stage = 1,
			}
		},
		[5] = {
			name = "Arc 5",
			splitTrigger = LIVE_SPLIT_TRIGGER_ENDLESS_STAGE,
			data = {
				arc = 5,
				cycle = 5,
				stage = 3,
			}
		},
		[6] = {
			name = "Tho' at Replicanum",
			splitTrigger = LIVE_SPLIT_TRIGGER_BOSS_DEATH,
			data = {
				match = "Tho' at",
			},
		},
	}
}

local splits10Arc = {
	id = "ESOLS_EndlessArchive_10Arc",
	catName = "Endless Archive - 10 Arcs",
	menuName = "10Arc%",
	startTrigger = LIVE_SPLIT_TRIGGER_BEGIN_ENDLESS,

	wr = 0, -- No official speedrun time exists
	wrPlayer = "Nobody",
	
	splits = {
		[1] = {
			name = "Arc 1",
			splitTrigger = LIVE_SPLIT_TRIGGER_ENDLESS_STAGE,
			data = {
				arc = 2,
				cycle = 1,
				stage = 1,
			}
		},
		[2] = {
			name = "Arc 2",
			splitTrigger = LIVE_SPLIT_TRIGGER_ENDLESS_STAGE,
			data = {
				arc = 3,
				cycle = 1,
				stage = 1,
			}
		},
		[3] = {
			name = "Arc 3",
			splitTrigger = LIVE_SPLIT_TRIGGER_ENDLESS_STAGE,
			data = {
				arc = 4,
				cycle = 1,
				stage = 1,
			}
		},
		[4] = {
			name = "Arc 4",
			splitTrigger = LIVE_SPLIT_TRIGGER_ENDLESS_STAGE,
			data = {
				arc = 5,
				cycle = 1,
				stage = 1,
			}
		},
		[5] = {
			name = "Arc 5",
			splitTrigger = LIVE_SPLIT_TRIGGER_ENDLESS_STAGE,
			data = {
				arc = 6,
				cycle = 1,
				stage = 1,
			}
		},
		[6] = {
			name = "Arc 6",
			splitTrigger = LIVE_SPLIT_TRIGGER_ENDLESS_STAGE,
			data = {
				arc = 7,
				cycle = 1,
				stage = 1,
			}
		},
		[7] = {
			name = "Arc 7",
			splitTrigger = LIVE_SPLIT_TRIGGER_ENDLESS_STAGE,
			data = {
				arc = 8,
				cycle = 1,
				stage = 1,
			}
		},
		[8] = {
			name = "Arc 8",
			splitTrigger = LIVE_SPLIT_TRIGGER_ENDLESS_STAGE,
			data = {
				arc = 9,
				cycle = 1,
				stage = 1,
			}
		},
		[9] = {
			name = "Arc 9",
			splitTrigger = LIVE_SPLIT_TRIGGER_ENDLESS_STAGE,
			data = {
				arc = 10,
				cycle = 1,
				stage = 1,
			}
		},
		[10] = {
			name = "Arc 10",
			splitTrigger = LIVE_SPLIT_TRIGGER_ENDLESS_STAGE,
			data = {
				arc = 10,
				cycle = 5,
				stage = 3,
			}
		},
		[11] = {
			name = "Tho' at Replicanum",
			splitTrigger = LIVE_SPLIT_TRIGGER_BOSS_DEATH,
			data = {
				match = "Tho' at",
			},
		},
	}
}
SPLIT_MANAGER:RegisterSplit(1436, DUNGEON_DIFFICULTY_NORMAL, splits1Arc)
SPLIT_MANAGER:RegisterSplit(1436, DUNGEON_DIFFICULTY_NORMAL, splits5Arc)
SPLIT_MANAGER:RegisterSplit(1436, DUNGEON_DIFFICULTY_NORMAL, splits10Arc)